Access to individual endpoints can be restricted per account. If a request to this endpoint returns
403 with error code endpoint_not_enabled and you expect to have access, contact your account representative.DELETE /v1/products/lists/{list_id}/products to remove specific products from an existing list. Pass an array of product IDs to remove in the request body. The response confirms which IDs were removed and which were skipped because they were not found in the list.
If you submit product IDs that are not in the list, the API does not return an error. Those IDs appear in
ignored_product_ids in the response. Only IDs that were present in the list are removed and appear in removed_product_ids.Request
Endpoint:DELETE /v1/products/lists/{list_id}/products
Headers
Path parameters
Body parameters
Example request
cURL
Response
A200 OK response confirms which product IDs were removed and which were not found in the list.
Response fields
Product IDs that were not removed because they were not found in the list. No error is thrown for these IDs.